Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/www/apache13/Makefile,v
retrieving revision 1.180
diff -u -r1.180 Makefile
--- Makefile	13 Oct 2007 18:39:52 -0000	1.180
+++ Makefile	16 Oct 2007 03:43:04 -0000
@@ -90,6 +90,12 @@
 
 .endif  # !SUEXEC
 
+.if !defined(NOPORTDOC)
+PLIST_SUB+=	NODOCS=""
+.else
+PLIST_SUB+=	NODOCS="@comment "
+.endif
+
 HAS_CONFIGURE=	yes
 # += for child ports
 CONFIGURE_ARGS+=	\
@@ -144,6 +150,11 @@
 MAN8=		ab.8 apachectl.8 apxs.8 httpd.8 logresolve.8 rotatelogs.8 \
 		${SUEXEC_MAN}
 
+post-patch:
+.if defined(NOPORTDOC)
+	@(cd ${WRKSRC} ; ${PATCH} < ${FILESDIR}/no_port_doc)
+.endif
+
 pre-install:
 	PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
 
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/www/apache13/pkg-plist,v
retrieving revision 1.65
diff -u -r1.65 pkg-plist
--- pkg-plist	1 Oct 2007 05:53:05 -0000	1.65
+++ pkg-plist	11 Oct 2007 21:08:09 -0000
@@ -137,297 +137,297 @@
 www/data-dist/index.html.ru.utf8
 www/data-dist/index.html.se
 www/data-dist/index.html.zh-tw.big5
-%%DOCSDIR%%/LICENSE
-%%DOCSDIR%%/bind.html.en
-%%DOCSDIR%%/bind.html.fr
-%%DOCSDIR%%/bind.html.html
-%%DOCSDIR%%/bind.html.ja.jis
-%%DOCSDIR%%/configuring.html.en
-%%DOCSDIR%%/configuring.html.fr
-%%DOCSDIR%%/configuring.html.html
-%%DOCSDIR%%/configuring.html.ja.jis
-%%DOCSDIR%%/content-negotiation.html.en
-%%DOCSDIR%%/content-negotiation.html.html
-%%DOCSDIR%%/content-negotiation.html.ja.jis
-%%DOCSDIR%%/custom-error.html.en
-%%DOCSDIR%%/custom-error.html.fr
-%%DOCSDIR%%/custom-error.html.html
-%%DOCSDIR%%/custom-error.html.ja.jis
-%%DOCSDIR%%/cygwin.html
-%%DOCSDIR%%/dns-caveats.html.en
-%%DOCSDIR%%/dns-caveats.html.fr
-%%DOCSDIR%%/dns-caveats.html.html
-%%DOCSDIR%%/dns-caveats.html.ja.jis
-%%DOCSDIR%%/dso.html
-%%DOCSDIR%%/ebcdic.html
-%%DOCSDIR%%/env.html.en
-%%DOCSDIR%%/env.html.html
-%%DOCSDIR%%/env.html.ja.jis
-%%DOCSDIR%%/footer.html
-%%DOCSDIR%%/handler.html.en
-%%DOCSDIR%%/handler.html.html
-%%DOCSDIR%%/handler.html.ja.jis
-%%DOCSDIR%%/header.html
-%%DOCSDIR%%/howto/auth.html
-%%DOCSDIR%%/howto/cgi.html.en
-%%DOCSDIR%%/howto/cgi.html.html
-%%DOCSDIR%%/howto/cgi.html.ja.jis
-%%DOCSDIR%%/howto/footer.html
-%%DOCSDIR%%/howto/header.html
-%%DOCSDIR%%/howto/htaccess.html
-%%DOCSDIR%%/howto/ssi.html.en
-%%DOCSDIR%%/howto/ssi.html.html
-%%DOCSDIR%%/howto/ssi.html.ja.jis
-%%DOCSDIR%%/images/apache_header.gif
-%%DOCSDIR%%/images/custom_errordocs.gif
-%%DOCSDIR%%/images/home.gif
-%%DOCSDIR%%/images/index.gif
-%%DOCSDIR%%/images/mod_rewrite_fig1.fig
-%%DOCSDIR%%/images/mod_rewrite_fig1.gif
-%%DOCSDIR%%/images/mod_rewrite_fig2.fig
-%%DOCSDIR%%/images/mod_rewrite_fig2.gif
-%%DOCSDIR%%/images/pixel.gif
-%%DOCSDIR%%/images/sub.gif
-%%DOCSDIR%%/index.html.en
-%%DOCSDIR%%/index.html.fr
-%%DOCSDIR%%/index.html.html
-%%DOCSDIR%%/index.html.ja.jis
-%%DOCSDIR%%/install-tpf.html
-%%DOCSDIR%%/install-ztpf.html
-%%DOCSDIR%%/install.html.en
-%%DOCSDIR%%/install.html.es
-%%DOCSDIR%%/install.html.fr
-%%DOCSDIR%%/install.html.html
-%%DOCSDIR%%/install.html.ja.jis
-%%DOCSDIR%%/invoking.html.en
-%%DOCSDIR%%/invoking.html.fr
-%%DOCSDIR%%/invoking.html.html
-%%DOCSDIR%%/invoking.html.ja.jis
-%%DOCSDIR%%/keepalive.html.en
-%%DOCSDIR%%/keepalive.html.html
-%%DOCSDIR%%/keepalive.html.ja.jis
-%%DOCSDIR%%/location.html.en
-%%DOCSDIR%%/location.html.html
-%%DOCSDIR%%/location.html.ja.jis
-%%DOCSDIR%%/logs.html
-%%DOCSDIR%%/man-template.html
-%%DOCSDIR%%/misc/API.html
-%%DOCSDIR%%/misc/FAQ.html
-%%DOCSDIR%%/misc/HTTP_Features.tsv
-%%DOCSDIR%%/misc/client_block_api.html
-%%DOCSDIR%%/misc/compat_notes.html
-%%DOCSDIR%%/misc/custom_errordocs.html
-%%DOCSDIR%%/misc/descriptors.html
-%%DOCSDIR%%/misc/fin_wait_2.html
-%%DOCSDIR%%/misc/footer.html
-%%DOCSDIR%%/misc/header.html
-%%DOCSDIR%%/misc/howto.html
-%%DOCSDIR%%/misc/index.html
-%%DOCSDIR%%/misc/known_client_problems.html
-%%DOCSDIR%%/misc/nopgp.html
-%%DOCSDIR%%/misc/perf-bsd44.html
-%%DOCSDIR%%/misc/perf-dec.html
-%%DOCSDIR%%/misc/perf-hp.html
-%%DOCSDIR%%/misc/perf-tuning.html
-%%DOCSDIR%%/misc/perf.html
-%%DOCSDIR%%/misc/rewriteguide.html
-%%DOCSDIR%%/misc/security_tips.html
-%%DOCSDIR%%/misc/tutorials.html
-%%DOCSDIR%%/misc/vif-info.html
-%%DOCSDIR%%/misc/windoz_keepalive.html
-%%DOCSDIR%%/mod/core.html.en
-%%DOCSDIR%%/mod/core.html.fr
-%%DOCSDIR%%/mod/core.html.html
-%%DOCSDIR%%/mod/core.html.ja.jis
-%%DOCSDIR%%/mod/directive-dict.html.en
-%%DOCSDIR%%/mod/directive-dict.html.fr
-%%DOCSDIR%%/mod/directive-dict.html.html
-%%DOCSDIR%%/mod/directive-dict.html.ja.jis
-%%DOCSDIR%%/mod/directives.html.de
-%%DOCSDIR%%/mod/directives.html.en
-%%DOCSDIR%%/mod/directives.html.fr
-%%DOCSDIR%%/mod/directives.html.html
-%%DOCSDIR%%/mod/directives.html.ja.jis
-%%DOCSDIR%%/mod/footer.html
-%%DOCSDIR%%/mod/header.html
-%%DOCSDIR%%/mod/index-bytype.html.en
-%%DOCSDIR%%/mod/index-bytype.html.fr
-%%DOCSDIR%%/mod/index-bytype.html.html
-%%DOCSDIR%%/mod/index-bytype.html.ja.jis
-%%DOCSDIR%%/mod/index.html.en
-%%DOCSDIR%%/mod/index.html.fr
-%%DOCSDIR%%/mod/index.html.html
-%%DOCSDIR%%/mod/index.html.ja.jis
-%%DOCSDIR%%/mod/mod_access.html.en
-%%DOCSDIR%%/mod/mod_access.html.html
-%%DOCSDIR%%/mod/mod_access.html.ja.jis
-%%DOCSDIR%%/mod/mod_actions.html.en
-%%DOCSDIR%%/mod/mod_actions.html.html
-%%DOCSDIR%%/mod/mod_actions.html.ja.jis
-%%DOCSDIR%%/mod/mod_alias.html.en
-%%DOCSDIR%%/mod/mod_alias.html.html
-%%DOCSDIR%%/mod/mod_alias.html.ja.jis
-%%DOCSDIR%%/mod/mod_asis.html.en
-%%DOCSDIR%%/mod/mod_asis.html.html
-%%DOCSDIR%%/mod/mod_asis.html.ja.jis
-%%DOCSDIR%%/mod/mod_auth.html.en
-%%DOCSDIR%%/mod/mod_auth.html.html
-%%DOCSDIR%%/mod/mod_auth.html.ja.jis
-%%DOCSDIR%%/mod/mod_auth_anon.html
-%%DOCSDIR%%/mod/mod_auth_db.html
-%%DOCSDIR%%/mod/mod_auth_dbm.html
-%%DOCSDIR%%/mod/mod_auth_digest.html
-%%DOCSDIR%%/mod/mod_autoindex.html.en
-%%DOCSDIR%%/mod/mod_autoindex.html.html
-%%DOCSDIR%%/mod/mod_autoindex.html.ja.jis
-%%DOCSDIR%%/mod/mod_browser.html
-%%DOCSDIR%%/mod/mod_cern_meta.html
-%%DOCSDIR%%/mod/mod_cgi.html.en
-%%DOCSDIR%%/mod/mod_cgi.html.html
-%%DOCSDIR%%/mod/mod_cgi.html.ja.jis
-%%DOCSDIR%%/mod/mod_cookies.html
-%%DOCSDIR%%/mod/mod_digest.html
-%%DOCSDIR%%/mod/mod_dir.html.en
-%%DOCSDIR%%/mod/mod_dir.html.html
-%%DOCSDIR%%/mod/mod_dir.html.ja.jis
-%%DOCSDIR%%/mod/mod_dld.html
-%%DOCSDIR%%/mod/mod_env.html.en
-%%DOCSDIR%%/mod/mod_env.html.html
-%%DOCSDIR%%/mod/mod_env.html.ja.jis
-%%DOCSDIR%%/mod/mod_example.html
-%%DOCSDIR%%/mod/mod_expires.html
-%%DOCSDIR%%/mod/mod_headers.html
-%%DOCSDIR%%/mod/mod_imap.html
-%%DOCSDIR%%/mod/mod_include.html
-%%DOCSDIR%%/mod/mod_info.html.en
-%%DOCSDIR%%/mod/mod_info.html.html
-%%DOCSDIR%%/mod/mod_info.html.ja.jis
-%%DOCSDIR%%/mod/mod_isapi.html
-%%DOCSDIR%%/mod/mod_log_agent.html
-%%DOCSDIR%%/mod/mod_log_common.html
-%%DOCSDIR%%/mod/mod_log_config.html.en
-%%DOCSDIR%%/mod/mod_log_config.html.html
-%%DOCSDIR%%/mod/mod_log_config.html.ja.jis
-%%DOCSDIR%%/mod/mod_log_forensic.html.en
-%%DOCSDIR%%/mod/mod_log_forensic.html.html
-%%DOCSDIR%%/mod/mod_log_referer.html
-%%DOCSDIR%%/mod/mod_mime.html.en
-%%DOCSDIR%%/mod/mod_mime.html.html
-%%DOCSDIR%%/mod/mod_mime.html.ja.jis
-%%DOCSDIR%%/mod/mod_mime_magic.html
-%%DOCSDIR%%/mod/mod_mmap_static.html
-%%DOCSDIR%%/mod/mod_negotiation.html.en
-%%DOCSDIR%%/mod/mod_negotiation.html.html
-%%DOCSDIR%%/mod/mod_negotiation.html.ja.jis
-%%DOCSDIR%%/mod/mod_proxy.html
-%%DOCSDIR%%/mod/mod_rewrite.html.en
-%%DOCSDIR%%/mod/mod_rewrite.html.html
-%%DOCSDIR%%/mod/mod_rewrite.html.ja.jis
-%%DOCSDIR%%/mod/mod_setenvif.html.en
-%%DOCSDIR%%/mod/mod_setenvif.html.html
-%%DOCSDIR%%/mod/mod_setenvif.html.ja.jis
-%%DOCSDIR%%/mod/mod_so.html.en
-%%DOCSDIR%%/mod/mod_so.html.html
-%%DOCSDIR%%/mod/mod_so.html.ja.jis
-%%DOCSDIR%%/mod/mod_speling.html.en
-%%DOCSDIR%%/mod/mod_speling.html.html
-%%DOCSDIR%%/mod/mod_speling.html.ja.jis
-%%DOCSDIR%%/mod/mod_status.html
-%%DOCSDIR%%/mod/mod_unique_id.html.en
-%%DOCSDIR%%/mod/mod_unique_id.html.html
-%%DOCSDIR%%/mod/mod_unique_id.html.ja.jis
-%%DOCSDIR%%/mod/mod_userdir.html.en
-%%DOCSDIR%%/mod/mod_userdir.html.html
-%%DOCSDIR%%/mod/mod_userdir.html.ja.jis
-%%DOCSDIR%%/mod/mod_usertrack.html
-%%DOCSDIR%%/mod/mod_vhost_alias.html
-%%DOCSDIR%%/mod/module-dict.html.en
-%%DOCSDIR%%/mod/module-dict.html.html
-%%DOCSDIR%%/mod/module-dict.html.ja.jis
-%%DOCSDIR%%/mpeix.html
-%%DOCSDIR%%/multilogs.html
-%%DOCSDIR%%/netware.html
-%%DOCSDIR%%/new_features_1_0.html
-%%DOCSDIR%%/new_features_1_1.html
-%%DOCSDIR%%/new_features_1_2.html
-%%DOCSDIR%%/new_features_1_3.html.en
-%%DOCSDIR%%/new_features_1_3.html.html
-%%DOCSDIR%%/new_features_1_3.html.ja.jis
-%%DOCSDIR%%/process-model.html.en
-%%DOCSDIR%%/process-model.html.html
-%%DOCSDIR%%/process-model.html.ja.jis
-%%DOCSDIR%%/programs/ab.html
-%%DOCSDIR%%/programs/apachectl.html.en
-%%DOCSDIR%%/programs/apachectl.html.html
-%%DOCSDIR%%/programs/apachectl.html.ja.jis
-%%DOCSDIR%%/programs/apxs.html
-%%DOCSDIR%%/programs/dbmmanage.html
-%%DOCSDIR%%/programs/footer.html
-%%DOCSDIR%%/programs/header.html
-%%DOCSDIR%%/programs/htdigest.html
-%%DOCSDIR%%/programs/htpasswd.html.en
-%%DOCSDIR%%/programs/htpasswd.html.html
-%%DOCSDIR%%/programs/htpasswd.html.ja.jis
-%%DOCSDIR%%/programs/httpd.html.en
-%%DOCSDIR%%/programs/httpd.html.html
-%%DOCSDIR%%/programs/httpd.html.ja.jis
-%%DOCSDIR%%/programs/index.html.en
-%%DOCSDIR%%/programs/index.html.html
-%%DOCSDIR%%/programs/index.html.ja.jis
-%%DOCSDIR%%/programs/logresolve.html
-%%DOCSDIR%%/programs/other.html
-%%DOCSDIR%%/programs/rotatelogs.html
-%%DOCSDIR%%/programs/suexec.html.en
-%%DOCSDIR%%/programs/suexec.html.html
-%%DOCSDIR%%/programs/suexec.html.ja.jis
-%%DOCSDIR%%/readme-tpf.html
-%%DOCSDIR%%/sections.html.en
-%%DOCSDIR%%/sections.html.html
-%%DOCSDIR%%/sections.html.ja.jis
-%%DOCSDIR%%/server-wide.html.en
-%%DOCSDIR%%/server-wide.html.fr
-%%DOCSDIR%%/server-wide.html.html
-%%DOCSDIR%%/server-wide.html.ja.jis
-%%DOCSDIR%%/sitemap.html
-%%DOCSDIR%%/sourcereorg.html
-%%DOCSDIR%%/stopping.html.en
-%%DOCSDIR%%/stopping.html.fr
-%%DOCSDIR%%/stopping.html.html
-%%DOCSDIR%%/suexec.html.en
-%%DOCSDIR%%/suexec.html.html
-%%DOCSDIR%%/suexec.html.ja.jis
-%%DOCSDIR%%/suexec_1_2.html
-%%DOCSDIR%%/unixware.html
-%%DOCSDIR%%/upgrading_to_1_3.html
-%%DOCSDIR%%/urlmapping.html
-%%DOCSDIR%%/vhosts/details.html
-%%DOCSDIR%%/vhosts/details_1_2.html
-%%DOCSDIR%%/vhosts/examples.html
-%%DOCSDIR%%/vhosts/fd-limits.html.en
-%%DOCSDIR%%/vhosts/fd-limits.html.html
-%%DOCSDIR%%/vhosts/fd-limits.html.ja.jis
-%%DOCSDIR%%/vhosts/footer.html
-%%DOCSDIR%%/vhosts/header.html
-%%DOCSDIR%%/vhosts/host.html
-%%DOCSDIR%%/vhosts/index.html.en
-%%DOCSDIR%%/vhosts/index.html.html
-%%DOCSDIR%%/vhosts/index.html.ja.jis
-%%DOCSDIR%%/vhosts/ip-based.html
-%%DOCSDIR%%/vhosts/mass.html
-%%DOCSDIR%%/vhosts/name-based.html.en
-%%DOCSDIR%%/vhosts/name-based.html.html
-%%DOCSDIR%%/vhosts/name-based.html.ja.jis
-%%DOCSDIR%%/vhosts/vhosts-in-depth.html
-%%DOCSDIR%%/vhosts/virtual-host.html
-%%DOCSDIR%%/win_compiling.html.en
-%%DOCSDIR%%/win_compiling.html.html
-%%DOCSDIR%%/win_compiling.html.ja.jis
-%%DOCSDIR%%/win_service.html.en
-%%DOCSDIR%%/win_service.html.html
-%%DOCSDIR%%/win_service.html.ja.jis
-%%DOCSDIR%%/windows.html.en
-%%DOCSDIR%%/windows.html.html
-%%DOCSDIR%%/windows.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/LICENSE
+%%NODOCS%%%%DOCSDIR%%/bind.html.en
+%%NODOCS%%%%DOCSDIR%%/bind.html.fr
+%%NODOCS%%%%DOCSDIR%%/bind.html.html
+%%NODOCS%%%%DOCSDIR%%/bind.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/configuring.html.en
+%%NODOCS%%%%DOCSDIR%%/configuring.html.fr
+%%NODOCS%%%%DOCSDIR%%/configuring.html.html
+%%NODOCS%%%%DOCSDIR%%/configuring.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/content-negotiation.html.en
+%%NODOCS%%%%DOCSDIR%%/content-negotiation.html.html
+%%NODOCS%%%%DOCSDIR%%/content-negotiation.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/custom-error.html.en
+%%NODOCS%%%%DOCSDIR%%/custom-error.html.fr
+%%NODOCS%%%%DOCSDIR%%/custom-error.html.html
+%%NODOCS%%%%DOCSDIR%%/custom-error.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/cygwin.html
+%%NODOCS%%%%DOCSDIR%%/dns-caveats.html.en
+%%NODOCS%%%%DOCSDIR%%/dns-caveats.html.fr
+%%NODOCS%%%%DOCSDIR%%/dns-caveats.html.html
+%%NODOCS%%%%DOCSDIR%%/dns-caveats.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/dso.html
+%%NODOCS%%%%DOCSDIR%%/ebcdic.html
+%%NODOCS%%%%DOCSDIR%%/env.html.en
+%%NODOCS%%%%DOCSDIR%%/env.html.html
+%%NODOCS%%%%DOCSDIR%%/env.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/footer.html
+%%NODOCS%%%%DOCSDIR%%/handler.html.en
+%%NODOCS%%%%DOCSDIR%%/handler.html.html
+%%NODOCS%%%%DOCSDIR%%/handler.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/header.html
+%%NODOCS%%%%DOCSDIR%%/howto/auth.html
+%%NODOCS%%%%DOCSDIR%%/howto/cgi.html.en
+%%NODOCS%%%%DOCSDIR%%/howto/cgi.html.html
+%%NODOCS%%%%DOCSDIR%%/howto/cgi.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/howto/footer.html
+%%NODOCS%%%%DOCSDIR%%/howto/header.html
+%%NODOCS%%%%DOCSDIR%%/howto/htaccess.html
+%%NODOCS%%%%DOCSDIR%%/howto/ssi.html.en
+%%NODOCS%%%%DOCSDIR%%/howto/ssi.html.html
+%%NODOCS%%%%DOCSDIR%%/howto/ssi.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/images/apache_header.gif
+%%NODOCS%%%%DOCSDIR%%/images/custom_errordocs.gif
+%%NODOCS%%%%DOCSDIR%%/images/home.gif
+%%NODOCS%%%%DOCSDIR%%/images/index.gif
+%%NODOCS%%%%DOCSDIR%%/images/mod_rewrite_fig1.fig
+%%NODOCS%%%%DOCSDIR%%/images/mod_rewrite_fig1.gif
+%%NODOCS%%%%DOCSDIR%%/images/mod_rewrite_fig2.fig
+%%NODOCS%%%%DOCSDIR%%/images/mod_rewrite_fig2.gif
+%%NODOCS%%%%DOCSDIR%%/images/pixel.gif
+%%NODOCS%%%%DOCSDIR%%/images/sub.gif
+%%NODOCS%%%%DOCSDIR%%/index.html.en
+%%NODOCS%%%%DOCSDIR%%/index.html.fr
+%%NODOCS%%%%DOCSDIR%%/index.html.html
+%%NODOCS%%%%DOCSDIR%%/index.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/install-tpf.html
+%%NODOCS%%%%DOCSDIR%%/install-ztpf.html
+%%NODOCS%%%%DOCSDIR%%/install.html.en
+%%NODOCS%%%%DOCSDIR%%/install.html.es
+%%NODOCS%%%%DOCSDIR%%/install.html.fr
+%%NODOCS%%%%DOCSDIR%%/install.html.html
+%%NODOCS%%%%DOCSDIR%%/install.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/invoking.html.en
+%%NODOCS%%%%DOCSDIR%%/invoking.html.fr
+%%NODOCS%%%%DOCSDIR%%/invoking.html.html
+%%NODOCS%%%%DOCSDIR%%/invoking.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/keepalive.html.en
+%%NODOCS%%%%DOCSDIR%%/keepalive.html.html
+%%NODOCS%%%%DOCSDIR%%/keepalive.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/location.html.en
+%%NODOCS%%%%DOCSDIR%%/location.html.html
+%%NODOCS%%%%DOCSDIR%%/location.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/logs.html
+%%NODOCS%%%%DOCSDIR%%/man-template.html
+%%NODOCS%%%%DOCSDIR%%/misc/API.html
+%%NODOCS%%%%DOCSDIR%%/misc/FAQ.html
+%%NODOCS%%%%DOCSDIR%%/misc/HTTP_Features.tsv
+%%NODOCS%%%%DOCSDIR%%/misc/client_block_api.html
+%%NODOCS%%%%DOCSDIR%%/misc/compat_notes.html
+%%NODOCS%%%%DOCSDIR%%/misc/custom_errordocs.html
+%%NODOCS%%%%DOCSDIR%%/misc/descriptors.html
+%%NODOCS%%%%DOCSDIR%%/misc/fin_wait_2.html
+%%NODOCS%%%%DOCSDIR%%/misc/footer.html
+%%NODOCS%%%%DOCSDIR%%/misc/header.html
+%%NODOCS%%%%DOCSDIR%%/misc/howto.html
+%%NODOCS%%%%DOCSDIR%%/misc/index.html
+%%NODOCS%%%%DOCSDIR%%/misc/known_client_problems.html
+%%NODOCS%%%%DOCSDIR%%/misc/nopgp.html
+%%NODOCS%%%%DOCSDIR%%/misc/perf-bsd44.html
+%%NODOCS%%%%DOCSDIR%%/misc/perf-dec.html
+%%NODOCS%%%%DOCSDIR%%/misc/perf-hp.html
+%%NODOCS%%%%DOCSDIR%%/misc/perf-tuning.html
+%%NODOCS%%%%DOCSDIR%%/misc/perf.html
+%%NODOCS%%%%DOCSDIR%%/misc/rewriteguide.html
+%%NODOCS%%%%DOCSDIR%%/misc/security_tips.html
+%%NODOCS%%%%DOCSDIR%%/misc/tutorials.html
+%%NODOCS%%%%DOCSDIR%%/misc/vif-info.html
+%%NODOCS%%%%DOCSDIR%%/misc/windoz_keepalive.html
+%%NODOCS%%%%DOCSDIR%%/mod/core.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/core.html.fr
+%%NODOCS%%%%DOCSDIR%%/mod/core.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/core.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/directive-dict.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/directive-dict.html.fr
+%%NODOCS%%%%DOCSDIR%%/mod/directive-dict.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/directive-dict.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/directives.html.de
+%%NODOCS%%%%DOCSDIR%%/mod/directives.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/directives.html.fr
+%%NODOCS%%%%DOCSDIR%%/mod/directives.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/directives.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/footer.html
+%%NODOCS%%%%DOCSDIR%%/mod/header.html
+%%NODOCS%%%%DOCSDIR%%/mod/index-bytype.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/index-bytype.html.fr
+%%NODOCS%%%%DOCSDIR%%/mod/index-bytype.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/index-bytype.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/index.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/index.html.fr
+%%NODOCS%%%%DOCSDIR%%/mod/index.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/index.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_access.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_access.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_access.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_actions.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_actions.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_actions.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_alias.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_alias.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_alias.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_asis.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_asis.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_asis.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_auth.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_auth.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_auth.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_auth_anon.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_auth_db.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_auth_dbm.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_auth_digest.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_autoindex.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_autoindex.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_autoindex.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_browser.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_cern_meta.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_cgi.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_cgi.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_cgi.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_cookies.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_digest.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_dir.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_dir.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_dir.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_dld.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_env.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_env.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_env.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_example.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_expires.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_headers.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_imap.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_include.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_info.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_info.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_info.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_isapi.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_log_agent.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_log_common.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_log_config.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_log_config.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_log_config.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_log_forensic.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_log_forensic.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_log_referer.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_mime.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_mime.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_mime.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_mime_magic.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_mmap_static.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_negotiation.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_negotiation.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_negotiation.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_proxy.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_rewrite.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_rewrite.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_rewrite.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_setenvif.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_setenvif.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_setenvif.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_so.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_so.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_so.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_speling.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_speling.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_speling.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_status.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_unique_id.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_unique_id.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_unique_id.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_userdir.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/mod_userdir.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_userdir.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mod/mod_usertrack.html
+%%NODOCS%%%%DOCSDIR%%/mod/mod_vhost_alias.html
+%%NODOCS%%%%DOCSDIR%%/mod/module-dict.html.en
+%%NODOCS%%%%DOCSDIR%%/mod/module-dict.html.html
+%%NODOCS%%%%DOCSDIR%%/mod/module-dict.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/mpeix.html
+%%NODOCS%%%%DOCSDIR%%/multilogs.html
+%%NODOCS%%%%DOCSDIR%%/netware.html
+%%NODOCS%%%%DOCSDIR%%/new_features_1_0.html
+%%NODOCS%%%%DOCSDIR%%/new_features_1_1.html
+%%NODOCS%%%%DOCSDIR%%/new_features_1_2.html
+%%NODOCS%%%%DOCSDIR%%/new_features_1_3.html.en
+%%NODOCS%%%%DOCSDIR%%/new_features_1_3.html.html
+%%NODOCS%%%%DOCSDIR%%/new_features_1_3.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/process-model.html.en
+%%NODOCS%%%%DOCSDIR%%/process-model.html.html
+%%NODOCS%%%%DOCSDIR%%/process-model.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/programs/ab.html
+%%NODOCS%%%%DOCSDIR%%/programs/apachectl.html.en
+%%NODOCS%%%%DOCSDIR%%/programs/apachectl.html.html
+%%NODOCS%%%%DOCSDIR%%/programs/apachectl.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/programs/apxs.html
+%%NODOCS%%%%DOCSDIR%%/programs/dbmmanage.html
+%%NODOCS%%%%DOCSDIR%%/programs/footer.html
+%%NODOCS%%%%DOCSDIR%%/programs/header.html
+%%NODOCS%%%%DOCSDIR%%/programs/htdigest.html
+%%NODOCS%%%%DOCSDIR%%/programs/htpasswd.html.en
+%%NODOCS%%%%DOCSDIR%%/programs/htpasswd.html.html
+%%NODOCS%%%%DOCSDIR%%/programs/htpasswd.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/programs/httpd.html.en
+%%NODOCS%%%%DOCSDIR%%/programs/httpd.html.html
+%%NODOCS%%%%DOCSDIR%%/programs/httpd.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/programs/index.html.en
+%%NODOCS%%%%DOCSDIR%%/programs/index.html.html
+%%NODOCS%%%%DOCSDIR%%/programs/index.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/programs/logresolve.html
+%%NODOCS%%%%DOCSDIR%%/programs/other.html
+%%NODOCS%%%%DOCSDIR%%/programs/rotatelogs.html
+%%NODOCS%%%%DOCSDIR%%/programs/suexec.html.en
+%%NODOCS%%%%DOCSDIR%%/programs/suexec.html.html
+%%NODOCS%%%%DOCSDIR%%/programs/suexec.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/readme-tpf.html
+%%NODOCS%%%%DOCSDIR%%/sections.html.en
+%%NODOCS%%%%DOCSDIR%%/sections.html.html
+%%NODOCS%%%%DOCSDIR%%/sections.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/server-wide.html.en
+%%NODOCS%%%%DOCSDIR%%/server-wide.html.fr
+%%NODOCS%%%%DOCSDIR%%/server-wide.html.html
+%%NODOCS%%%%DOCSDIR%%/server-wide.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/sitemap.html
+%%NODOCS%%%%DOCSDIR%%/sourcereorg.html
+%%NODOCS%%%%DOCSDIR%%/stopping.html.en
+%%NODOCS%%%%DOCSDIR%%/stopping.html.fr
+%%NODOCS%%%%DOCSDIR%%/stopping.html.html
+%%NODOCS%%%%DOCSDIR%%/suexec.html.en
+%%NODOCS%%%%DOCSDIR%%/suexec.html.html
+%%NODOCS%%%%DOCSDIR%%/suexec.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/suexec_1_2.html
+%%NODOCS%%%%DOCSDIR%%/unixware.html
+%%NODOCS%%%%DOCSDIR%%/upgrading_to_1_3.html
+%%NODOCS%%%%DOCSDIR%%/urlmapping.html
+%%NODOCS%%%%DOCSDIR%%/vhosts/details.html
+%%NODOCS%%%%DOCSDIR%%/vhosts/details_1_2.html
+%%NODOCS%%%%DOCSDIR%%/vhosts/examples.html
+%%NODOCS%%%%DOCSDIR%%/vhosts/fd-limits.html.en
+%%NODOCS%%%%DOCSDIR%%/vhosts/fd-limits.html.html
+%%NODOCS%%%%DOCSDIR%%/vhosts/fd-limits.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/vhosts/footer.html
+%%NODOCS%%%%DOCSDIR%%/vhosts/header.html
+%%NODOCS%%%%DOCSDIR%%/vhosts/host.html
+%%NODOCS%%%%DOCSDIR%%/vhosts/index.html.en
+%%NODOCS%%%%DOCSDIR%%/vhosts/index.html.html
+%%NODOCS%%%%DOCSDIR%%/vhosts/index.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/vhosts/ip-based.html
+%%NODOCS%%%%DOCSDIR%%/vhosts/mass.html
+%%NODOCS%%%%DOCSDIR%%/vhosts/name-based.html.en
+%%NODOCS%%%%DOCSDIR%%/vhosts/name-based.html.html
+%%NODOCS%%%%DOCSDIR%%/vhosts/name-based.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/vhosts/vhosts-in-depth.html
+%%NODOCS%%%%DOCSDIR%%/vhosts/virtual-host.html
+%%NODOCS%%%%DOCSDIR%%/win_compiling.html.en
+%%NODOCS%%%%DOCSDIR%%/win_compiling.html.html
+%%NODOCS%%%%DOCSDIR%%/win_compiling.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/win_service.html.en
+%%NODOCS%%%%DOCSDIR%%/win_service.html.html
+%%NODOCS%%%%DOCSDIR%%/win_service.html.ja.jis
+%%NODOCS%%%%DOCSDIR%%/windows.html.en
+%%NODOCS%%%%DOCSDIR%%/windows.html.html
+%%NODOCS%%%%DOCSDIR%%/windows.html.ja.jis
 @exec mkdir -p -m 755 %D/www/cgi-bin-dist
 @exec [ -d %D/www/cgi-bin/ ] || mkdir -p -m 755 %D/www/cgi-bin/
 www/cgi-bin-dist/printenv
@@ -656,13 +656,13 @@
 @dirrm include/apache/xml
 @dirrm include/apache
 @dirrmtry libexec/apache
-@dirrm %%DOCSDIR%%/howto
-@dirrm %%DOCSDIR%%/images
-@dirrm %%DOCSDIR%%/misc
-@dirrm %%DOCSDIR%%/mod
-@dirrm %%DOCSDIR%%/programs
-@dirrm %%DOCSDIR%%/vhosts
-@dirrm %%DOCSDIR%%
+%%NODOCS%%@dirrm %%DOCSDIR%%/howto
+%%NODOCS%%@dirrm %%DOCSDIR%%/images
+%%NODOCS%%@dirrm %%DOCSDIR%%/misc
+%%NODOCS%%@dirrm %%DOCSDIR%%/mod
+%%NODOCS%%@dirrm %%DOCSDIR%%/programs
+%%NODOCS%%@dirrm %%DOCSDIR%%/vhosts
+%%NODOCS%%@dirrm %%DOCSDIR%%
 @dirrmtry www/data/
 @dirrm www/data-dist
 @dirrmtry www/cgi-bin/
cvs diff: files/no_port_doc is a new entry, no comparison available
--- /dev/null	2007-10-15 23:45:07.000000000 -0400
+++ no_port_doc	2007-10-15 23:40:18.000000000 -0400
@@ -0,0 +1,22 @@
+--- Makefile.tmpl.orig	2007-10-15 23:37:45.000000000 -0400
++++ Makefile.tmpl    	2007-10-15 23:37:59.000000000 -0400
+@@ -229,7 +229,6 @@
+ 	$(MKDIR) $(root)$(sysconfdir)
+ 	$(MKDIR) $(root)$(htdocsdir)/
+ 	$(MKDIR) $(root)$(htdocsdir)-dist
+-	$(MKDIR) $(root)$(manualdir)
+ 	$(MKDIR) $(root)$(iconsdir)
+ 	$(MKDIR) $(root)$(cgidir)/
+ 	$(MKDIR) $(root)$(cgidir)-dist
+@@ -423,11 +422,6 @@
+ 		(cd $(root)$(htdocsdir)-dist/ && $(TAR) -xf -); \
+ 		find $(root)$(htdocsdir)-dist/ -type d -exec chmod a+rx {} \; ; \
+ 		find $(root)$(htdocsdir)-dist/ -type f -print | xargs chmod a+r ;
+-		echo "Copying tree $(TOP)/htdocs/manual -> $(root)/$(manualdir)/"; \
+-		(cd $(TOP)/htdocs/manual/ && $(TAR) $(TAROPT) - *) |\
+-		(cd $(root)$(manualdir)/ && $(TAR) -xf -); \
+-		find $(root)$(manualdir)/ -type d -exec chmod a+rx {} \; ; \
+-		find $(root)$(manualdir)/ -type f -print | xargs chmod a+r ;
+ 		for script in printenv test-cgi; do \
+ 			cat $(TOP)/cgi-bin/$${script} |\
+ 			sed -e 's;^#!/.*perl;#!$(PERL);' \